All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class BusinessQueryFilterItemToAdvancedLogicListAdapter

    com.sas.dataselectors.filters.BusinessQueryFilterItemToAdvancedLogicListAdapter

All Implemented Interfaces:
  FilterLogicListInterface, SimpleLogicListAdapterInterface, SimpleLogicListInterface, java.lang.Iterable, java.util.Collection, java.util.List

    public class BusinessQueryFilterItemToAdvancedLogicListAdapter

This class extends the simple logic list base to add BusinessQuery specific behavior.

Field Summary
`protected com.sas.iquery.metadata.business.DataItem` | `_dataItem` The initial OLAP DataItem to process (if given).
`protected SimpleFilterLogicTreeInterface` | `_filterLogicTree` The filter logic tree.

Fields inherited from class com.sas.dataselectors.filters.BusinessQueryFilterItemToSimpleLogicListAdapter
`_businessQuery, _filterObjectFactory`

Fields inherited from class com.sas.dataselectors.filters.AbstractSimpleLogicListAdapterBase
`_filterItemList, _filterItemSimpleList`

Constructor Summary
`BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel)` Constructs a new adapter from the specified model and default object factory.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel, com.sas.iquery.metadata.business.DataItem dataItem)` Constructs a new adapter from the specified model and initial filter item.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel, com.sas.iquery.metadata.business.DataItem dataItem, int environment)` Constructs a new adapter from the specified model and initial filter item.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel, int environment)` Constructs a new adapter from the specified model and default object factory.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel, int environment, java.util.Locale locale)` Constructs a new adapter from the specified model and default object factory.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs a new adapter from the specified model and object factory.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery, com.sas.iquery.metadata.business.DataItem dataItem)` Constructs a new adapter from the specified model and initial filter item.
`BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery, com.sas.iquery.metadata.business.DataItem dataItem, int environment)` Constructs a new adapter from the specified model and initial filter item.

Method Summary
`protected boolean` | `_commitFilterItemChanges()` Commits the filter model to the native model (filter model).
`protected boolean` | `_commitStepItemChanges()` Commits the filter model to the native model (step model).
`boolean` | `commitChanges()` Commit changed data to the native model.
`SimpleFilterLogicTreeInterface` | `getFilterLogicTree()` Returns the filter logic tree.
`void` | `setEnvironment(int environment)` Sets the operating environment to the specified value.

Methods inherited from class com.sas.dataselectors.filters.BusinessQueryFilterItemToSimpleLogicListAdapter
`getBusinessQuery, getFilterObjectFactory, setBusinessQuery, setFilterObjectFactory`

Methods inherited from class com.sas.dataselectors.filters.AbstractSimpleLogicListAdapterBase
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, getFilterItemList, getFilterList, getFilterLogicList, getRootFilterObject, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, setFilterItemList, setFilterList, setFilterList, size, subList, toArray, toArray`

Methods inherited from class com.sas.dataselectors.filters.DefaultFilterLogicList
`getFilterListDescription, getFilterListLabel, setFilterListDescription, setFilterListLabel, toString`

Field Detail

### _dataItem

    protected com.sas.iquery.metadata.business.DataItem _dataItem

  The initial OLAP DataItem to process (if given).

### _filterLogicTree

    protected SimpleFilterLogicTreeInterface _filterLogicTree

  The filter logic tree.

Constructor Detail

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             FilterBaseModelData baseModel)

  Constructs a new adapter from the specified model and default object factory.

  Parameters:
    `businessQuery` - the model for the adapter

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             FilterBaseModelData baseModel,
                                                             int environment)

  Constructs a new adapter from the specified model and default object factory.

  Parameters:
    `businessQuery` - the model for the adapter
    `environment` - the operating environment (e.g. Swing,JSP)

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             FilterBaseModelData baseModel,
                                                             int environment,
                                                             java.util.Locale locale)

  Constructs a new adapter from the specified model and default object factory.

  Parameters:
    `businessQuery` - the model for the adapter
    `environment` - the operating environment (e.g. Swing,JSP)
    `locale` - the Locale used to format values

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                             com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs a new adapter from the specified model and object factory. The filter object factory is used by the adapter when converting between the native model and the filter model.

  Parameters:
    `filterObjectFactory` - the factory used during conversions
    `businessQuery` - the model for the adapter

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             FilterBaseModelData baseModel,
                                                             com.sas.iquery.metadata.business.DataItem dataItem)

  Constructs a new adapter from the specified model and initial filter item. The default object factory will be used. The initial filter (if not null) will provide the initial structure and composition of the filter logic tree.

  Parameters:
    `businessQuery` - the model for the adapter
    `dataItem` - the DataItem holding the initial filter from the native model to work with

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             FilterBaseModelData baseModel,
                                                             com.sas.iquery.metadata.business.DataItem dataItem,
                                                             int environment)

  Constructs a new adapter from the specified model and initial filter item. The default object factory will be used. The initial filter (if not null) will provide the initial structure and composition of the filter logic tree.

  Parameters:
    `businessQuery` - the model for the adapter
    `dataItem` - the DataItem holding the initial filter from the native model to work with
    `environment` - the operating environment (e.g. Swing,JSP)

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                             com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             com.sas.iquery.metadata.business.DataItem dataItem)

  Constructs a new adapter from the specified model and initial filter item. The specified object factory will also be used. The initial filter (if not null) will provide the initial structure and composition of the filter logic tree.

  Parameters:
    `filterObjectFactory` - the factory used during conversions
    `businessQuery` - the model for the adapter
    `dataItem` - the DataItem holding the initial filter from the native model to work with

### BusinessQueryFilterItemToAdvancedLogicListAdapter

    public BusinessQueryFilterItemToAdvancedLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                             com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                             com.sas.iquery.metadata.business.DataItem dataItem,
                                                             int environment)

  Constructs a new adapter from the specified model and initial filter item. The specified object factory will also be used. The initial filter (if not null) will provide the initial structure and composition of the filter logic tree.

  Parameters:
    `filterObjectFactory` - the factory used during conversions
    `businessQuery` - the model for the adapter
    `dataItem` - the DataItem holding the initial filter from the native model to work with
    `environment` - the operating environment (e.g. Swing,JSP)

Method Detail

### getFilterLogicTree

    public SimpleFilterLogicTreeInterface getFilterLogicTree()

  Returns the filter logic tree. The filter logic tree contains the elements and structure that make up the filter.

  Returns:
    the filter logic tree

### commitChanges

    public boolean commitChanges()

  Commit changed data to the native model.

  Specified by:
    `commitChanges` in interface `SimpleLogicListInterface`
  Overrides:
    `commitChanges` in class `BusinessQueryFilterItemToSimpleLogicListAdapter`
  Returns:
    true if the native model was successfully updated, false otherwise

### _commitFilterItemChanges

    protected boolean _commitFilterItemChanges()

  Commits the filter model to the native model (filter model).

  Returns:
    true if the native model was successfully updated, false otherwise

### _commitStepItemChanges

    protected boolean _commitStepItemChanges()

  Commits the filter model to the native model (step model).

  Returns:
    true if the native model was successfully updated, false otherwise

### setEnvironment

    public void setEnvironment(int environment)

  Sets the operating environment to the specified value.

  Parameters:
    `environment` - The environment to set. Valid values are defined in com.sas.util.OperatingEnvironmentInterface.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.